#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires /proc access)
#
%define		pdir	GTop
Summary:	GTop - Perl interface to libgtop
Summary(pl.UTF-8):	GTop - interfejs perlowy do libgtop
Name:		perl-GTop
Version:	0.16
Release:	17
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/GTop/%{pdir}-%{version}.tar.gz
# Source0-md5:	c3b1f36c3c9e1031f783027fe1c098d0
Patch0:		%{name}-error_h.patch
URL:		http://search.cpan.org/dist/GTop/
BuildRequires:	libgtop-devel >= 2.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is a Perl interface to libgtop:
<http://home-of-linux.org/gnome/libgtop/>.

See also: Stas Bekman's Apache::VMonitor
<http://www.cpan.org/modules/by-module/Apache/>.

%description -l pl.UTF-8
Ten pakiet jest perlowym interfejsem do libgtop:
<http://home-of-linux.org/gnome/libgtop/>.

Warto zobaczyć także Apache::VMonitor Stasa Bekmana:
<http://www.cpan.org/modules/by-module/Apache/>.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/GTop
%attr(755,root,root) %{perl_vendorarch}/auto/GTop/GTop.so
%{perl_vendorarch}/config.pl
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GTop.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 728bc8b
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> b077099
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 78672c2
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 92ed146
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 0510c00
- rebuild with perl 5.30.0
- release 14 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> c9d2a22
- rebuild with perl 5.28.0
- release 13 (by relup.sh)

* Thu Sep 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> c6c590a
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> de09e25
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9bcb50a
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 05ea9b6
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9dab7bb
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 11b218e
- x32 rebuild
- release 7 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 1925b01
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cd8d8ea
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 605965d
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 08cd331
- libgtop rebuild
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> df6fe8a
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f43b41a
- release 2

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 4de3c21
- updated to 0.16

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 24a546c
- generic URL

